<?php
/**
* Plugin Name: Fix WP Users Disclosure 
* Plugin URI: https://www.corpocrat.com
* Description: Patches Wordpress users Disclosure vulnerability using REST API
* Version: 1.0
* Author: Prabhu
* Author URI: https://hackerone.com/reports/1735586
* License: GPLv2 or later
**/

add_filter( 'rest_endpoints', function( $endpoints ){
    if ( isset( $endpoints['/wp/v2/users'] ) ) {
        unset( $endpoints['/wp/v2/users'] );
    }
    if ( isset( $endpoints['/wp/v2/users/(?P<id>[\d]+)'] ) ) {
        unset( $endpoints['/wp/v2/users/(?P<id>[\d]+)'] );
    }
    return $endpoints;
});


?>
